Bug 28512 - trasfering big files via ftp cuases ftp to hang
trasfering big files via ftp cuases ftp to hang
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 17:52 EST by Suhaib Siddiqi
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 19:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhaib Siddiqi 2001-02-20 17:52:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.9 i686)


ftp download using mget option to transfer large files (4 files of approx
30 MB each) caused ftp client to hang.  I could reporude it every time when
I try to ftp to RH 7.0 server and ftp downlaod big files.  However I can
ftp from RH 7.0 server to RH Wolverine RC1, trafnsfer works OK, no hangs.

Reproducible: Always
Steps to Reproduce:
1. ftp from a workstation which had Wolverine RC installed
2.
3.
	

Actual Results:  ftp download using mget option to transfer large files (4
files of approx 30 MB each) caused ftp client to hang.  I could reporude it
every time when I try to ftp to RH 7.0 server and ftp downlaod big files. 
However I can ftp from RH 7.0 server to RH Wolverine RC1, trafnsfer works
OK, no hangs.

Expected Results:  ftp client should not have hanged :-)
Comment 1 Preston Brown 2001-02-20 17:54:37 EST
this has got to be a kernel / network driver bug, not an ftp bug.

What is your NIC hardware?
Comment 2 Glen Foster 2001-02-21 10:13:09 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 Suhaib Siddiqi 2001-02-21 10:15:52 EST
The RH 7 7.0 server is on Dell PowerEdge 2400
The Wolverine workstation version is on Dell PowerEdge 1300.


Suhaib

Comment 4 Tim Waugh 2001-02-26 08:22:25 EST
If you could catch a tcpdump of the session, that would be useful to see. 
tcpdump -nl > outputfile.  If you can do that on both machines and show us the
last few hundred lines from each trace, that would be great.
Comment 5 Michael K. Johnson 2001-02-27 19:24:19 EST
We still need to know what kind of NIC hardware you have, too.
Comment 6 Suhaib Siddiqi 2001-02-27 19:39:06 EST
I tried cut and past of the tcpdump from threee different machine (RH 7.0,
RC1 and SGI IRIX 6.5.1) When pasting a few hundred lines from tcpdump output
your bugzilla crashed my Netscape.  Onlyway I could send tcpdump output is to e-
mail you???????????

I am using 3COM 590x on both machines.

Suhaib
Comment 7 Suhaib Siddiqi 2001-02-28 06:56:52 EST
Here is hardware info for both machines. It has Ethernet information too:

Machine with RH 7.0 server---
Main memory size: 128 Mbytes
1 GenuineIntel Pentium III (Katmai) processor
1 vga+ graphics device
1 keyboard
PCI bus devices:
    Host bridge: Unknown vendor CNB30LE PCI Bridge (rev 5).
    Host bridge: Unknown vendor CNB30LE PCI Bridge (rev 5).
    PCI bridge: Intel Unknown device (rev 1).
    Ethernet controller: Intel 82557 (rev 8).
    VGA compatible controller: ATI Unknown device (rev 122).
    ISA bridge: Unknown vendor Unknown device (rev 79).
    SCSI storage controller: Adaptec AIC-7890/1 (rev 1).
    SCSI storage controller: Adaptec AIC-7880U (rev 1).
    PCI bridge: Intel i960 (rev 5).

Machine RH 7.1 RC1 Workstation -----

Main memory size: 128 Mbytes
1 GenuineIntel Pentium III (Katmai) processor
2 16550A serial ports
1 National Semiconductor PC87306 floppy controller
1 1.44M floppy drive
1 vga+ graphics device
1 keyboard
1 IDE device:
  /dev/hdc: ATAPI 40X CD-ROM drive, 128kB Cache, UDMA(33)
PCI bus devices:
    Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 3).
    PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 3).
    PCI bridge: Digital Equipment Corporation DECchip 21152 (rev 3).
    ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 2).
    IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
    USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 1).
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 2).
    SCSI storage controller: Adaptec AHA-2930CU (rev 3).
    Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 8).
    VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP (rev 122).
    SCSI storage controller: Adaptec AIC-7881U (rev 0).
    SCSI storage controller: Adaptec AHA-2940U2/W / 7890 (rev 1).

Comment 8 Michael K. Johnson 2001-02-28 23:27:14 EST
You can attach the tcpdumps using the "Create a new attachment" link
not far above the "Additional Comments" box.  You can use that to
attach files of any size without crashing netscape...

Note You need to log in before you can comment on or make changes to this bug.